Create list
curl --request POST \
--url https://api.stardex.ai/v1/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"list_type": "persons",
"is_public": false,
"linked_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_organization_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.stardex.ai/v1/lists"
payload = {
"name": "<string>",
"list_type": "persons",
"is_public": False,
"linked_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_organization_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
list_type: 'persons',
is_public: false,
linked_job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
linked_person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
linked_organization_company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
team_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.stardex.ai/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
"name": "Engineering Candidates Q2",
"list_type": "persons",
"is_public": true,
"is_archived": false,
"linked_job_id": "fff66666-0000-1111-2222-333333336666",
"linked_person_id": null,
"linked_organization_company_id": null,
"created_at": "2024-01-15T10:00:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Lists
Create list
Create a new saved list. Lists can hold either persons or companies, determined by list_type. Optionally link to a job, person, or company.
POST
/
v1
/
lists
Create list
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
application/json
List name (required).
Minimum string length:
1Type of entities in this list. Defaults to "persons".
Available options:
persons, companies Whether the list is visible to all team members. Defaults to false.
Job UUID to link this list to.
Person UUID to link this list to.
Company UUID to link this list to.
Team member UUIDs to assign as list owners. If omitted, the caller is auto-assigned.
Team member UUID to attribute as the list creator. Required for API-key auth (which has no implicit user context). Ignored when using session or OAuth auth.
Was this page helpful?
⌘I